### Hierarchy

- SimpleAccount
  - Account

## Index

### Constructors

- constructor

### Properties

- createdAt
- message
- nonce
- publicKey
- sig
- updatedAt

### Methods

- copy
- deepCopyFromJson
- toJson
- toSimpleAccount
- fromJson

## Constructors

### constructor

- new Account(publicKey?: string, nonce?: number): Account

- Overrides SimpleAccount.constructor

  - Defined in repository/models/Account.ts:14

  #### Parameters

  - ##### Default value publicKey: string = ""

  - ##### Default value nonce: number = 0

  #### Returns Account

## Properties

### createdAt

createdAt: Date = new Date()

Inherited from SimpleAccount.createdAt

- Defined in repository/models/SimpleAccount.ts:8

### message

message: string = ""

- Defined in repository/models/Account.ts:6

### nonce

nonce: number = 0

Inherited from SimpleAccount.nonce

- Defined in repository/models/SimpleAccount.ts:7

### publicKey

publicKey: string = ""

Inherited from SimpleAccount.publicKey

- Defined in repository/models/SimpleAccount.ts:6

### sig

sig: string = ""

- Defined in repository/models/Account.ts:7

### updatedAt

updatedAt: Date = new Date()

Inherited from SimpleAccount.updatedAt

- Defined in repository/models/SimpleAccount.ts:9

## Methods

### copy

- copy(changeArgs?: JsonObject<SimpleAccount>): SimpleAccount

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<SimpleAccount>

  #### Returns SimpleAccount

### Protected deepCopyFromJson

- deepCopyFromJson(): SimpleAccount

- Overrides SimpleAccount.deepCopyFromJson

  - Defined in repository/models/Account.ts:32

  #### Returns SimpleAccount

### toJson

- toJson(): object

- Overrides SimpleAccount.toJson

  - Defined in repository/models/Account.ts:24

  #### Returns object

### toSimpleAccount

- toSimpleAccount(): SimpleAccount

- - Defined in repository/models/Account.ts:20

  #### Returns SimpleAccount

### Static fromJson

- fromJson(json: JsonObject<Account>): Account

- Overrides SimpleAccount.fromJson

  - Defined in repository/models/Account.ts:9

  #### Parameters

  - ##### json: JsonObject<Account>

  #### Returns Account

Generated using TypeDoc